Libosmium: detail::any_area_handlers Struct Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
List of all members
detail::any_area_handlers Struct Reference

`#include <attr.hpp>`

Inheritance diagram for detail::any_area_handlers:
[legend]
Collaboration diagram for detail::any_area_handlers:
[legend]

## Additional Inherited Members
Static Public Member Functions inherited from detail::object_handler
template<typename TDummy>
static void | set_value (osmium::OSMObject &, const TDummy &) noexcept
static void | set_value (osmium::OSMObject &object, attr::_id id) noexcept
static void | set_value (osmium::OSMObject &object, attr::_version version) noexcept
static void | set_value (osmium::OSMObject &object, attr::_visible visible) noexcept
static void | set_value (osmium::OSMObject &object, attr::_deleted deleted) noexcept
static void | set_value (osmium::OSMObject &object, attr::_timestamp timestamp) noexcept
static void | set_value (osmium::OSMObject &object, attr::_cid changeset) noexcept
static void | set_value (osmium::OSMObject &object, attr::_uid uid) noexcept
Static Public Member Functions inherited from detail::tags_handler
template<typename TDummy>
static void | set_value (TagListBuilder &, const TDummy &) noexcept
static void | set_value (TagListBuilder &builder, const attr::_tag &tag)
template<typename TIterator>
static void | set_value (TagListBuilder &builder, const attr::detail::tags_from_iterator_pair< TIterator > &tags)
static void | set_value (TagListBuilder &builder, const attr::_t &tags)
Static Public Member Functions inherited from detail::ring_handler
template<typename TDummy>
static void | set_value (AreaBuilder &, const TDummy &) noexcept
template<typename TIterator>
static void | set_value (AreaBuilder &parent, const attr::detail::outer_ring_from_iterator_pair< TIterator > &nodes)
template<typename TIterator>
static void | set_value (AreaBuilder &parent, const attr::detail::inner_ring_from_iterator_pair< TIterator > &nodes)

The documentation for this struct was generated from the following file:

- include/osmium/builder/attr.hpp